2017-12-31 19 views
1

NUnit3TestAdapterを.Net Standard 2.0で使用するにはどうすればよいですか?NUnit3TestAdapterを.Net Standard 2.0で使用するにはどうすればよいですか?

私は次のエラーが表示されます

1>C:\Nikeza\Mobile\Nikeza.Mobile\Tests\ExampleBased.fsproj :

warning NU1701: Package 'NUnit3TestAdapter 3.9.0' was restored using '.NETFramework,Version=v4.6.1' instead of the project target framework '.NETStandard,Version=v2.0'.

This package may not be fully compatible with your project. 1>ExampleBased -> C:\Nikeza\Mobile\Nikeza.Mobile\Tests\bin\Debug\netstandard2.0\ExampleBased.dll

答えて

2

あなたは、あなたのプロジェクトファイルと間違っているものを診断するための十分な情報を提供していませんが、それはNUnitのアダプターの3.9.0 .NET標準2.0で動作しませんおよびF#。あなたのテストプロジェクトは.NET Standardをターゲットにしていると思います。 .NET Coreまたは.NET 4.6.1+を対象とする必要があります。テストプロジェクトは実行可能ファイルのように扱われ、.NET標準ではなく特定のフレームワークをターゲットとする必要があります。あなたがテストしているコードは、.NET標準です。

ドキュメントUnit testing F# libraries in .NET Core using dotnet test and NUnitに従って、NUnitのドキュメント.NET Core and .NET Standardを読んでください。

次のようになりますあなたのプロジェクトファイル、

<Project Sdk="Microsoft.NET.Sdk"> 

    <PropertyGroup> 
    <TargetFramework>netcoreapp2.0</TargetFramework> 

    <IsPackable>false</IsPackable> 
    </PropertyGroup> 

    <ItemGroup> 
    <Compile Include="Tests.fs" /> 
    <Compile Include="Program.fs" /> 
    </ItemGroup> 

    <ItemGroup> 
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="15.5.0" /> 
    <PackageReference Include="NUnit" Version="3.9.0" /> 
    <PackageReference Include="NUnit3TestAdapter" Version="3.9.0" /> 
    </ItemGroup> 

    <ItemGroup> 
    <ProjectReference Include="..\MathService\MathService.fsproj" /> 
    </ItemGroup> 

</Project> 
関連する問題